import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSURL } from "../Foundation/NSURL.js";
import type { _AVAssetVariantAudioAttributes } from "./AVAssetVariantAudioAttributes.js";
import type { _AVAssetVariantVideoAttributes } from "./AVAssetVariantVideoAttributes.js";
export declare class _AVAssetVariant extends _NSObject {
    static alloc(): _AVAssetVariant;
    static new(): _AVAssetVariant;
    init(): _AVAssetVariant;
    /** If it is not declared, the value will be negative. */
    peakBitRate(): number;
    /** If it is not declared, the value will be negative. */
    averageBitRate(): number;
    /**
     * Provides variant's video rendition attributes. If no video attributes are declared, it will be nil.
     */
    videoAttributes(): _AVAssetVariantVideoAttributes | null;
    /**
     * Provides variant's audio rendition attributes. If no audio attributes are declared, it will be nil.
     */
    audioAttributes(): _AVAssetVariantAudioAttributes | null;
    /** Provides URL to media playlist corresponding to variant */
    URL(): _NSURL;
}
